



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>C# 和SQL Server 类型转换</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">C# 和SQL Server 类型转换</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 14:00:08 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<pre class="prettyprint linenums">/// &lt;summary&gt;<br />
/// 数据库中与C#中的数据类型对照<br />
/// &lt;/summary&gt;<br />
/// &lt;param name="type"&gt;&lt;/param&gt;<br />
/// &lt;returns&gt;&lt;/returns&gt;<br />
private string ChangeToCSharpType(string type)<br />
{<br />
    string reval = string.Empty;<br />
    switch (type.ToLower())<br />
    {<br />
        case "int":<br />
            reval = "Int32";<br />
            break;<br />
        case "text":<br />
            reval = "String";<br />
            break;<br />
        case "bigint":<br />
            reval = "Int64";<br />
            break;<br />
        case "binary":<br />
            reval = "System.Byte[]";<br />
            break;<br />
        case "bit":<br />
            reval = "Boolean";<br />
            break;<br />
        case "char":<br />
            reval = "String";<br />
            break;<br />
        case "datetime":<br />
            reval = "System.DateTime";<br />
            break;<br />
        case "decimal":<br />
            reval = "System.Decimal";<br />
            break;<br />
        case "float":<br />
            reval = "System.Double";<br />
            break;<br />
        case "image":<br />
            reval = "System.Byte[]";<br />
            break;<br />
        case "money":<br />
            reval = "System.Decimal";<br />
            break;<br />
        case "nchar":<br />
            reval = "String";<br />
            break;<br />
        case "ntext":<br />
            reval = "String";<br />
            break;<br />
        case "numeric":<br />
            reval = "System.Decimal";<br />
            break;<br />
        case "nvarchar":<br />
            reval = "String";<br />
            break;<br />
        case "real":<br />
            reval = "System.Single";<br />
            break;<br />
        case "smalldatetime":<br />
            reval = "System.DateTime";<br />
            break;<br />
        case "smallint":<br />
            reval = "Int16";<br />
            break;<br />
        case "smallmoney":<br />
            reval = "System.Decimal";<br />
            break;<br />
        case "timestamp":<br />
            reval = "System.DateTime";<br />
            break;<br />
        case "tinyint":<br />
            reval = "System.Byte";<br />
            break;<br />
        case "uniqueidentifier":<br />
            reval = "System.Guid";<br />
            break;<br />
        case "varbinary":<br />
            reval = "System.Byte[]";<br />
            break;<br />
        case "varchar":<br />
            reval = "String";<br />
            break;<br />
        case "Variant":<br />
            reval = "Object";<br />
            break;<br />
        default:<br />
            reval = "String";<br />
            break;<br />
    }<br />
    return reval;<br />
}
</pre>
</div>
<p>　　</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r93n6vnq.html">iOS---自动布局</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqldezx9.html">sendto &colon; Permission denied</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvexkoq.html">命令学习：iftop</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmdnp09.html">Windows 下启动Apache服务&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn176738.html">mono for android 学习资料</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdempl09.html">HPU周赛题目解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp14zj9.html">qt 获取windows 的消息（通过MFC的DLL的透明窗体转发消息）good</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mewno0q.html">Atom手动安装插件和模块的解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgkm7r8.html">【Win 10 应用开发】UI Composition 札记（四）：绘制图形</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxk1jvz8.html">Jenkins--发送邮件配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv215nj9.html">小程序坑之 swiper组件</a>
		</li>
						<li><a href="https://www.batexi.com/a/960m4ln9.html">Linux 学习 &lpar;一&rpar; Linux简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj0jlz9.html">&lbrack;译&rsqb;Golang中的优雅重启</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwy54k8.html">unbuntu中如何像Windows一样顺畅的切换中英文输入法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j170d49.html">pixmap和label设置图片自适应大小</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7edlpe9.html">Asp&period;net Core2&period;0， 基于 claims 实现权限验证</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o47jxxq.html">&lbrack;CC-SEABUB&rsqb;Sereja and Bubble Sort</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnd16d28.html">雅虎CSS初始化代码</a>
		</li>
						<li><a href="https://www.batexi.com/a/q44k32jq.html">c&plus;&plus;中指针作为函数参数的详细理解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvdm26zq.html">对json数据进行排序</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8z1yle39.html">Hibernae 的延迟加载</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvv2nwzq.html">js上移、下移、置顶、置底功能实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxndrjj8.html">UIAlertView用法</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rd53xr8.html">oracle游标循环的嵌套</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdew1xv9.html">20145305 《Java程序设计》第5周学习总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vr5ro8.html">&lbrack;ActionScript 3&period;0&rsqb;  Away3D 天空盒（skybox）例子</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxndm7v8.html">SQLSERVER：计算数据库中各个表的数据量和每行记录所占用空间</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxnd3jz8.html">Java是传值还是传引用</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdvgml8.html">java重写</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mn2570q.html">java String 的方法 &lpar;01&rpar;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
